body {
    width: 95%;
    height: 800px;
    margin: 0 auto;
}

header, footer {
    height: 10%;
    clear: both;
    background-color: wheat;
    border: 2px solid rgb(238, 208, 152);
    border-radius: 20px;
    padding: 2%;
}

main {
    display: flex;
    flex-direction: row;
}

nav {
    background-color: cornflowerblue;
    border: 2px solid rgb(72, 131, 240);
    border-radius: 20px;
    padding: 2%;
    margin: 5px;
    flex: 1 6 20%;
}

article {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: wheat;
    border: 2px solid rgb(238, 208, 152);
    border-radius: 20px;
    margin: 5px;
    flex: 3 1 60%;
}

aside {
    background-color: cornflowerblue;
    border: 2px solid rgb(72, 131, 240);
    border-radius: 20px;
    padding: 2%;
    margin: 5px;
    flex: 1 6 20%;
}

article h1 {
    margin: 10px;
}

article img {
    width: 100%;
    align-self: center;
    flex: 1 1 50%;
}

article p {
    margin: 10px;
}

@media all and (max-width:640px) {
    main {
        display: flex;
        flex-direction: column;
        order: 1;
    }
    nav{
        order: 2;
    }
    aside{
        order: 3;
    }
}